package com.chinaitop.depot.intelligent.IntelligentDetection.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TTimingTaskExample {
    /**
     * t_timing_task
     */
    protected String orderByClause;

    /**
     * t_timing_task
     */
    protected boolean distinct;

    /**
     * t_timing_task
     */
    protected List<Criteria> oredCriteria;

    public TTimingTaskExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_timing_task 2019-05-21
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andTIdIsNull() {
            addCriterion("t_id is null");
            return (Criteria) this;
        }

        public Criteria andTIdIsNotNull() {
            addCriterion("t_id is not null");
            return (Criteria) this;
        }

        public Criteria andTIdEqualTo(String value) {
            addCriterion("t_id =", value, "tId");
            return (Criteria) this;
        }

        public Criteria andTIdNotEqualTo(String value) {
            addCriterion("t_id <>", value, "tId");
            return (Criteria) this;
        }

        public Criteria andTIdGreaterThan(String value) {
            addCriterion("t_id >", value, "tId");
            return (Criteria) this;
        }

        public Criteria andTIdGreaterThanOrEqualTo(String value) {
            addCriterion("t_id >=", value, "tId");
            return (Criteria) this;
        }

        public Criteria andTIdLessThan(String value) {
            addCriterion("t_id <", value, "tId");
            return (Criteria) this;
        }

        public Criteria andTIdLessThanOrEqualTo(String value) {
            addCriterion("t_id <=", value, "tId");
            return (Criteria) this;
        }

        public Criteria andTIdLike(String value) {
            addCriterion("t_id like", value, "tId");
            return (Criteria) this;
        }

        public Criteria andTIdNotLike(String value) {
            addCriterion("t_id not like", value, "tId");
            return (Criteria) this;
        }

        public Criteria andTIdIn(List<String> values) {
            addCriterion("t_id in", values, "tId");
            return (Criteria) this;
        }

        public Criteria andTIdNotIn(List<String> values) {
            addCriterion("t_id not in", values, "tId");
            return (Criteria) this;
        }

        public Criteria andTIdBetween(String value1, String value2) {
            addCriterion("t_id between", value1, value2, "tId");
            return (Criteria) this;
        }

        public Criteria andTIdNotBetween(String value1, String value2) {
            addCriterion("t_id not between", value1, value2, "tId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andTNameIsNull() {
            addCriterion("t_name is null");
            return (Criteria) this;
        }

        public Criteria andTNameIsNotNull() {
            addCriterion("t_name is not null");
            return (Criteria) this;
        }

        public Criteria andTNameEqualTo(String value) {
            addCriterion("t_name =", value, "tName");
            return (Criteria) this;
        }

        public Criteria andTNameNotEqualTo(String value) {
            addCriterion("t_name <>", value, "tName");
            return (Criteria) this;
        }

        public Criteria andTNameGreaterThan(String value) {
            addCriterion("t_name >", value, "tName");
            return (Criteria) this;
        }

        public Criteria andTNameGreaterThanOrEqualTo(String value) {
            addCriterion("t_name >=", value, "tName");
            return (Criteria) this;
        }

        public Criteria andTNameLessThan(String value) {
            addCriterion("t_name <", value, "tName");
            return (Criteria) this;
        }

        public Criteria andTNameLessThanOrEqualTo(String value) {
            addCriterion("t_name <=", value, "tName");
            return (Criteria) this;
        }

        public Criteria andTNameLike(String value) {
            addCriterion("t_name like", value, "tName");
            return (Criteria) this;
        }

        public Criteria andTNameNotLike(String value) {
            addCriterion("t_name not like", value, "tName");
            return (Criteria) this;
        }

        public Criteria andTNameIn(List<String> values) {
            addCriterion("t_name in", values, "tName");
            return (Criteria) this;
        }

        public Criteria andTNameNotIn(List<String> values) {
            addCriterion("t_name not in", values, "tName");
            return (Criteria) this;
        }

        public Criteria andTNameBetween(String value1, String value2) {
            addCriterion("t_name between", value1, value2, "tName");
            return (Criteria) this;
        }

        public Criteria andTNameNotBetween(String value1, String value2) {
            addCriterion("t_name not between", value1, value2, "tName");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNull() {
            addCriterion("v_cf_code is null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNotNull() {
            addCriterion("v_cf_code is not null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeEqualTo(String value) {
            addCriterion("v_cf_code =", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotEqualTo(String value) {
            addCriterion("v_cf_code <>", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThan(String value) {
            addCriterion("v_cf_code >", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_cf_code >=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThan(String value) {
            addCriterion("v_cf_code <", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThanOrEqualTo(String value) {
            addCriterion("v_cf_code <=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLike(String value) {
            addCriterion("v_cf_code like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotLike(String value) {
            addCriterion("v_cf_code not like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIn(List<String> values) {
            addCriterion("v_cf_code in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotIn(List<String> values) {
            addCriterion("v_cf_code not in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeBetween(String value1, String value2) {
            addCriterion("v_cf_code between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotBetween(String value1, String value2) {
            addCriterion("v_cf_code not between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andTStateIsNull() {
            addCriterion("t_state is null");
            return (Criteria) this;
        }

        public Criteria andTStateIsNotNull() {
            addCriterion("t_state is not null");
            return (Criteria) this;
        }

        public Criteria andTStateEqualTo(String value) {
            addCriterion("t_state =", value, "tState");
            return (Criteria) this;
        }

        public Criteria andTStateNotEqualTo(String value) {
            addCriterion("t_state <>", value, "tState");
            return (Criteria) this;
        }

        public Criteria andTStateGreaterThan(String value) {
            addCriterion("t_state >", value, "tState");
            return (Criteria) this;
        }

        public Criteria andTStateGreaterThanOrEqualTo(String value) {
            addCriterion("t_state >=", value, "tState");
            return (Criteria) this;
        }

        public Criteria andTStateLessThan(String value) {
            addCriterion("t_state <", value, "tState");
            return (Criteria) this;
        }

        public Criteria andTStateLessThanOrEqualTo(String value) {
            addCriterion("t_state <=", value, "tState");
            return (Criteria) this;
        }

        public Criteria andTStateLike(String value) {
            addCriterion("t_state like", value, "tState");
            return (Criteria) this;
        }

        public Criteria andTStateNotLike(String value) {
            addCriterion("t_state not like", value, "tState");
            return (Criteria) this;
        }

        public Criteria andTStateIn(List<String> values) {
            addCriterion("t_state in", values, "tState");
            return (Criteria) this;
        }

        public Criteria andTStateNotIn(List<String> values) {
            addCriterion("t_state not in", values, "tState");
            return (Criteria) this;
        }

        public Criteria andTStateBetween(String value1, String value2) {
            addCriterion("t_state between", value1, value2, "tState");
            return (Criteria) this;
        }

        public Criteria andTStateNotBetween(String value1, String value2) {
            addCriterion("t_state not between", value1, value2, "tState");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonIsNull() {
            addCriterion("t_update_person is null");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonIsNotNull() {
            addCriterion("t_update_person is not null");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonEqualTo(String value) {
            addCriterion("t_update_person =", value, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonNotEqualTo(String value) {
            addCriterion("t_update_person <>", value, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonGreaterThan(String value) {
            addCriterion("t_update_person >", value, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonGreaterThanOrEqualTo(String value) {
            addCriterion("t_update_person >=", value, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonLessThan(String value) {
            addCriterion("t_update_person <", value, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonLessThanOrEqualTo(String value) {
            addCriterion("t_update_person <=", value, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonLike(String value) {
            addCriterion("t_update_person like", value, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonNotLike(String value) {
            addCriterion("t_update_person not like", value, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonIn(List<String> values) {
            addCriterion("t_update_person in", values, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonNotIn(List<String> values) {
            addCriterion("t_update_person not in", values, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonBetween(String value1, String value2) {
            addCriterion("t_update_person between", value1, value2, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdatePersonNotBetween(String value1, String value2) {
            addCriterion("t_update_person not between", value1, value2, "tUpdatePerson");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeIsNull() {
            addCriterion("t_update_time is null");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeIsNotNull() {
            addCriterion("t_update_time is not null");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeEqualTo(Date value) {
            addCriterion("t_update_time =", value, "tUpdateTime");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeNotEqualTo(Date value) {
            addCriterion("t_update_time <>", value, "tUpdateTime");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeGreaterThan(Date value) {
            addCriterion("t_update_time >", value, "tUpdateTime");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("t_update_time >=", value, "tUpdateTime");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeLessThan(Date value) {
            addCriterion("t_update_time <", value, "tUpdateTime");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("t_update_time <=", value, "tUpdateTime");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeIn(List<Date> values) {
            addCriterion("t_update_time in", values, "tUpdateTime");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeNotIn(List<Date> values) {
            addCriterion("t_update_time not in", values, "tUpdateTime");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("t_update_time between", value1, value2, "tUpdateTime");
            return (Criteria) this;
        }

        public Criteria andTUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("t_update_time not between", value1, value2, "tUpdateTime");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescIsNull() {
            addCriterion("t_detection_desc is null");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescIsNotNull() {
            addCriterion("t_detection_desc is not null");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescEqualTo(String value) {
            addCriterion("t_detection_desc =", value, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescNotEqualTo(String value) {
            addCriterion("t_detection_desc <>", value, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescGreaterThan(String value) {
            addCriterion("t_detection_desc >", value, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescGreaterThanOrEqualTo(String value) {
            addCriterion("t_detection_desc >=", value, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescLessThan(String value) {
            addCriterion("t_detection_desc <", value, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescLessThanOrEqualTo(String value) {
            addCriterion("t_detection_desc <=", value, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescLike(String value) {
            addCriterion("t_detection_desc like", value, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescNotLike(String value) {
            addCriterion("t_detection_desc not like", value, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescIn(List<String> values) {
            addCriterion("t_detection_desc in", values, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescNotIn(List<String> values) {
            addCriterion("t_detection_desc not in", values, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescBetween(String value1, String value2) {
            addCriterion("t_detection_desc between", value1, value2, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionDescNotBetween(String value1, String value2) {
            addCriterion("t_detection_desc not between", value1, value2, "tDetectionDesc");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronIsNull() {
            addCriterion("t_detection_cron is null");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronIsNotNull() {
            addCriterion("t_detection_cron is not null");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronEqualTo(String value) {
            addCriterion("t_detection_cron =", value, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronNotEqualTo(String value) {
            addCriterion("t_detection_cron <>", value, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronGreaterThan(String value) {
            addCriterion("t_detection_cron >", value, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronGreaterThanOrEqualTo(String value) {
            addCriterion("t_detection_cron >=", value, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronLessThan(String value) {
            addCriterion("t_detection_cron <", value, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronLessThanOrEqualTo(String value) {
            addCriterion("t_detection_cron <=", value, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronLike(String value) {
            addCriterion("t_detection_cron like", value, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronNotLike(String value) {
            addCriterion("t_detection_cron not like", value, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronIn(List<String> values) {
            addCriterion("t_detection_cron in", values, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronNotIn(List<String> values) {
            addCriterion("t_detection_cron not in", values, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronBetween(String value1, String value2) {
            addCriterion("t_detection_cron between", value1, value2, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTDetectionCronNotBetween(String value1, String value2) {
            addCriterion("t_detection_cron not between", value1, value2, "tDetectionCron");
            return (Criteria) this;
        }

        public Criteria andTSwitchIsNull() {
            addCriterion("t_switch is null");
            return (Criteria) this;
        }

        public Criteria andTSwitchIsNotNull() {
            addCriterion("t_switch is not null");
            return (Criteria) this;
        }

        public Criteria andTSwitchEqualTo(String value) {
            addCriterion("t_switch =", value, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTSwitchNotEqualTo(String value) {
            addCriterion("t_switch <>", value, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTSwitchGreaterThan(String value) {
            addCriterion("t_switch >", value, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTSwitchGreaterThanOrEqualTo(String value) {
            addCriterion("t_switch >=", value, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTSwitchLessThan(String value) {
            addCriterion("t_switch <", value, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTSwitchLessThanOrEqualTo(String value) {
            addCriterion("t_switch <=", value, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTSwitchLike(String value) {
            addCriterion("t_switch like", value, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTSwitchNotLike(String value) {
            addCriterion("t_switch not like", value, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTSwitchIn(List<String> values) {
            addCriterion("t_switch in", values, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTSwitchNotIn(List<String> values) {
            addCriterion("t_switch not in", values, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTSwitchBetween(String value1, String value2) {
            addCriterion("t_switch between", value1, value2, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTSwitchNotBetween(String value1, String value2) {
            addCriterion("t_switch not between", value1, value2, "tSwitch");
            return (Criteria) this;
        }

        public Criteria andTCategoryIsNull() {
            addCriterion("t_category is null");
            return (Criteria) this;
        }

        public Criteria andTCategoryIsNotNull() {
            addCriterion("t_category is not null");
            return (Criteria) this;
        }

        public Criteria andTCategoryEqualTo(String value) {
            addCriterion("t_category =", value, "tCategory");
            return (Criteria) this;
        }

        public Criteria andTCategoryNotEqualTo(String value) {
            addCriterion("t_category <>", value, "tCategory");
            return (Criteria) this;
        }

        public Criteria andTCategoryGreaterThan(String value) {
            addCriterion("t_category >", value, "tCategory");
            return (Criteria) this;
        }

        public Criteria andTCategoryGreaterThanOrEqualTo(String value) {
            addCriterion("t_category >=", value, "tCategory");
            return (Criteria) this;
        }

        public Criteria andTCategoryLessThan(String value) {
            addCriterion("t_category <", value, "tCategory");
            return (Criteria) this;
        }

        public Criteria andTCategoryLessThanOrEqualTo(String value) {
            addCriterion("t_category <=", value, "tCategory");
            return (Criteria) this;
        }

        public Criteria andTCategoryLike(String value) {
            addCriterion("t_category like", value, "tCategory");
            return (Criteria) this;
        }

        public Criteria andTCategoryNotLike(String value) {
            addCriterion("t_category not like", value, "tCategory");
            return (Criteria) this;
        }

        public Criteria andTCategoryIn(List<String> values) {
            addCriterion("t_category in", values, "tCategory");
            return (Criteria) this;
        }

        public Criteria andTCategoryNotIn(List<String> values) {
            addCriterion("t_category not in", values, "tCategory");
            return (Criteria) this;
        }

        public Criteria andTCategoryBetween(String value1, String value2) {
            addCriterion("t_category between", value1, value2, "tCategory");
            return (Criteria) this;
        }

        public Criteria andTCategoryNotBetween(String value1, String value2) {
            addCriterion("t_category not between", value1, value2, "tCategory");
            return (Criteria) this;
        }
    }

    /**
     * t_timing_task
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_timing_task 2019-05-21
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}